"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

'From Smalltalk/X, Version:2.10.5 on 25-may-1995 at 7:37:41 am'!

DeviceHandle subclass:#DeviceFormHandle
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Graphics-Support'
!

!DeviceFormHandle class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    This is used as a finalization handle for forms - in previous systems,
    a shallowCopy of a form was responsible to destroy the underlying
    devices bitmap. To make the memory requirements smaller and to speed up
    bitmap creation a bit, this lightweight class is used now, which only
    keeps the device handle for finalization.
"
!

version
    ^ '$Header: /cvs/stx/stx/libview/Attic/DevFormH.st,v 1.4 1995-11-11 15:49:53 cg Exp $'
! !

!DeviceFormHandle methodsFor:'finalization'!

disposed
    "the Form for which I am a handle has been collected - tell it to the x-server"

    drawableId notNil ifTrue:[
	gcId notNil ifTrue:[
	    device destroyGC:gcId.
	    gcId := nil
	].
	device destroyPixmap:drawableId.
	drawableId := nil
    ]
! !

